import 'package:anyway/structs/trip.dart';

import 'package:flutter/material.dart';

import 'package:anyway/modules/current_trip_map.dart';
import 'package:anyway/modules/current_trip_locations.dart';


class CurrentTripOverview extends StatefulWidget {
  final Trip? trip;

  const CurrentTripOverview({super.key, this.trip});


  @override
  State<CurrentTripOverview> createState() => _CurrentTripOverviewState();
}

class _CurrentTripOverviewState extends State<CurrentTripOverview> {
  @override
  Widget build(BuildContext context) {
    // The background map has a horizontally scrolling list of rounded buttons overlaid
    return Stack(
      alignment: Alignment.topLeft,
      children: [
        CurrentTripMap(trip: widget.trip),
        CurrentTripLocations(trip: widget.trip),
      ],
    );
  }
}
